MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
PreparedFilter Class Referenceabstract

`#include <FilterInternal.hxx>`

## Public Member Functions
virtual | ~PreparedFilter ()
virtual Filter * | Open (AudioFormat &af)=0
| Opens the filter, preparing it for FilterPCM(). More...

## Detailed Description

Definition at line 74 of file FilterInternal.hxx.

## Constructor & Destructor Documentation

virtual PreparedFilter::~PreparedFilter | ( |  | ) |
| inline virtual

Definition at line 76 of file FilterInternal.hxx.

## Member Function Documentation

virtual Filter* PreparedFilter::Open | ( | AudioFormat & | af | ) |
| pure virtual

Opens the filter, preparing it for FilterPCM().

Throws std::runtime_error on error.

Parameters

  af | the audio format of incoming data; the plugin may modify the object to enforce another input format

The documentation for this class was generated from the following file:

- filter/FilterInternal.hxx